package com.shin1ogawa;

import com.google.inject.AbstractModule;
import com.google.inject.Scopes;
import com.google.inject.servlet.ServletModule;
import com.shin1ogawa.service.IMessagesService;
import com.shin1ogawa.service.MessagesService;

/**
 * @author shin1ogawa
 */
public class ApplicationModule extends AbstractModule {

	@Override
	protected void configure() {
		install(new ServletModule());
		install(new JdoModule());
		bind(IMessagesService.class).to(MessagesService.class).in(Scopes.SINGLETON);
	}
}
